Subject: [Isis-wg] ISIS Mib Update

From: Jeff Parker <[email-masked]>
Date: Fri, 6 Apr 2001 10:29:20 -0400

I have put the ISIS mib through major changes, as outlined below 
(these notes are also at the head of the file).  I am sending this to
the list for review before I submit as a draft.  

At present, my whimpy mib compiler cannot cope with a mib this
large, so I will be dismembering it and feeding it into the 
compiler one part at a time.  

-- Changes this version
--
--      Split off counting PDUs into a new table isisPacketCountTable
--              responding to several suggestion on WG mail list
--      Split off many level-specific circuit parameters into
--              Circuit Level Table to allow more than two levels,
--              responding to request from Tony Li
--      Striped mention of any metric other than default
--
--      Many changes suggested by Hans De Vleeschouwer, of Antwerp
--      Use isisSysInstance to replace many local copies of same value
--      Did the same for isisCircIndex
--      Changed many MAX-ACCESS clauses of type read-write to read-create
--      Limits on length of fields such as OSINSAddres and SystemID (now
0..6)
--              While SystemIDs are all 6 if valid, there are places where
--              we want to represent a null SystemID, such as the DIS
--      Fix mismatches of AdminState syntax and OperState descriptions
--      Added text to describe isisISAdjNeighSysID for 3-way hello
--      Removed IP Dest table, as this is covered by RFC 2096

- jeff parker
- axiowave networks
- Those are my principles. If you don't like them, I have others. - Groucho
Marx